class UserInfo {
  final String userId;
  final String senpayToken;
  final String birthday;
  final String status;
  final String email;
  final String createdTime;
  final String gender;
  final String lastName;
  final String firstName;
  final String fptId;
  final String avatarUrl;
  final String fullName;
  final String phone;
  final String chatToken;
  final String accessToken;
  final String userType;
  final String loyaltyPointTotal;
  final String orderTotal;
  final String favoriteProductTotal;
  final String favoriteShopTotal;
  final String commentTotal;
  final String verifyMyPhone;
  final String canUpdateEmail;
  final String canUpdatePhone;
  final String tokenOTP;
  final String userName;
  final String showPopupOtp;
  final String strLogin;
  final String loginType;
  final String message;
  final String errorCode;

  final Object comment;
  final Object suggestFollowInfo;

  UserInfo.fromJson(Map<String, dynamic> json)
      : userId = json['user_id'],
        senpayToken = json['senpay_token'],
        birthday = json['birthday'],
        status = json['status'],
        email = json['email'],
        createdTime = json['created_time'],
        gender = json['gender'],
        lastName = json['last_name'],
        firstName = json['first_name'],
        fptId = json['fpt_id'],
        avatarUrl = json['avatar_url'],
        fullName = json['full_name'],
        phone = json['phone'],
        chatToken = json['chat_token'],
        accessToken = json['access_token'],
        userType = json['user_type'],
        loyaltyPointTotal = json['loyalty_point_total'],
        orderTotal = json['order_total'],
        favoriteProductTotal = json['favorite_product_total'],
        favoriteShopTotal = json['favorite_shop_total'],
        commentTotal = json['comment_total'],
        verifyMyPhone = json['verify_my_phone'],
        canUpdateEmail = json['can_update_email'],
        canUpdatePhone = json['can_update_phone'],
        tokenOTP = json['token_otp'],
        userName = json['user_name'],
        message = json['message'],
        errorCode = json['error_code'],
        showPopupOtp = json['show_popup_otp'],
        comment = json['data'],
        suggestFollowInfo = json['suggest_follow_info'];

  Map<String, dynamic> toJson() =>
      {
        'user_id': userId,
        'senpay_token': senpayToken,
        'birthday': birthday,
        'status': status,
        'email': email,
        'created_time': createdTime,
        'gender': gender,
        'last_name': lastName,
        'first_name': firstName,
        'fpt_id': fptId,
        'avatar_url': avatarUrl,
        'full_name': fullName,
        'phone': phone,
        'chat_token': chatToken,
        'access_token': accessToken,
        'user_type': userType,
        'loyalty_point_total': loyaltyPointTotal,
        'order_total': orderTotal,
        'favorite_product_total': favoriteProductTotal,
        'favorite_shop_total': favoriteShopTotal,
        'comment_total': commentTotal,
        'verify_my_phone': verifyMyPhone,
        'can_update_email': canUpdateEmail,
        'can_update_phone': canUpdatePhone,
        'token_otp': tokenOTP,
        'user_name': userName,
        'message': message,
        'show_popup_otp': showPopupOtp,
        'error_code': errorCode,
        'data': comment,
        'suggest_follow_info': suggestFollowInfo,
      };
}
